package com.hotwj.platform.integration.ocr;

import com.hotwj.platform.integration.ocr.baidu.domain.vo.BusinessLicenseVo;
import com.hotwj.platform.integration.ocr.baidu.domain.vo.DrivingLicenseVo;
import com.hotwj.platform.integration.ocr.baidu.domain.vo.IdCardVo;
import com.hotwj.platform.integration.ocr.baidu.domain.vo.VehicleLicenseVo;
import org.springframework.web.multipart.MultipartFile;

/**
 * OCR 服务策略接口
 */
public interface OcrStrategy {

    /**
     * 获取策略类型
     */
    String getType();

    /**
     * 营业执照识别
     */
    BusinessLicenseVo recognizeBusinessLicense(MultipartFile file);

    /**
     * 身份证识别
     */
    IdCardVo recognizeIdCard(MultipartFile file, String side);

    /**
     * 行驶证识别
     */
    VehicleLicenseVo recognizeVehicleLicense(MultipartFile file, String side);

    /**
     * 驾驶证识别
     */
    DrivingLicenseVo recognizeDrivingLicense(MultipartFile file, String side);
}